execute_process(
    COMMAND
        git rev-parse --short HEAD
    RESULT_VARIABLE
        CND_GIT_HASH_SHORT_RESULT
    OUTPUT_VARIABLE
        CND_GIT_HASH_SHORT
    OUTPUT_STRIP_TRAILING_WHITESPACE
)

set(CND_VERSION ${CMAKE_PROJECT_VERSION})
set(CND_COMPILER_VERSION ${CMAKE_CXX_COMPILER_VERSION})
set(CND_COMPILER_ID ${CMAKE_CXX_COMPILER_ID})

configure_file(${CMAKE_CURRENT_LIST_DIR}/../cnd/src/version.cpp.in ${CND_VERSION_FILE_DIR}/version.cpp @ONLY)
